package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.client.DynamicEvaluateRecordClient;
import com.chelvc.cloud.vehicle.client.param.AddDynamicEvaluateRecordParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容评价(点赞/踩)
 *
 * @author igl
 * @date 2023-08-08
 */
@Validated
@RestController
@RequestMapping("/client/evaluate-record")
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class DynamicEvaluateRecordController {
    private final DynamicEvaluateRecordClient dynamicEvaluateRecordClient;

    /**
     * 新增内容评价(点赞/踩)
     *
     * @param param
     * @author igl
     * @date 2023/8/9 17:25
     */
    @PostMapping("/add")
    public Long updateRecord(@Validated @RequestBody AddDynamicEvaluateRecordParam param) {
        return this.dynamicEvaluateRecordClient.updateRecord(param, SessionContextHolder.getId());
    }
}
