package com.chelvc.cloud.maintain.controller;

import java.util.List;
import javax.validation.Valid;

import com.chelvc.cloud.vehicle.client.NoticeClient;
import com.chelvc.cloud.vehicle.client.dto.NoticeDTO;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 通知配置接口
 *
 * @author liude
 * @date 2023/12/13
 */
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class NoticeController {
    private final NoticeClient noticeClient;

    /**
     * 查询通知配置列表
     *
     * @param type 查询参数  0-用户端 1-商家端
     * @return 通知配置列表信息
     */
    @GetMapping("/notice/list")
    public List<NoticeDTO> getNoticeList(@Valid String type) {
        return this.noticeClient.getNoticeList(type);
    }
}
